## i2p.susi.util
Class Config

    java.lang.Object
      i2p.susi.util.Config

    public class Config

extends Object

Author:
  susi

Constructor Summary
`Config()`

Method Summary
`static String` `getProperty(String name)`
`static int` `getProperty(String name, int defaultValue)`
`static String` `getProperty(String name, String defaultValue)`
`static void` `reloadConfiguration()`
`static void` `setPrefix(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config()

Method Detail

### getProperty

    public static String getProperty(String name)

  Parameters:
    `name` -

### reloadConfiguration

    public static void reloadConfiguration()

### getProperty

    public static String getProperty(String name,
                                     String defaultValue)

  Parameters:
    `name` -
    `defaultValue` -

### getProperty

    public static int getProperty(String name,
                                  int defaultValue)

  Parameters:
    `name` -
    `defaultValue` -

### setPrefix

    public static void setPrefix(String prefix)

  Parameters:
    `prefix` -